Summary: An implementation of IPSEC & IKE for Linux
Name: openswan
Version: 1.0.10
Release: 7%{?dist}
License: GPL
Group: System Environment/Daemons
URL: http://www.openswan.org/
Source0: http://www.openswan.org/code/%{name}-%{version}.tar.gz
#Source1: http://www.openswan.org/code/%{name}-%{version}.tar.gz.asc
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gmp-devel, pam-devel

%description
Openswan is based on code from the FreeS/WAN project (www.freeswan.org)
It has support for most of the extensions (RFC + IETF drafts) related
to IPsec, include X.509 Digital Certificates, multiple ciphers (3DES, 
AES, Twofish, Blowfish) and many other features.

This version includes the following major patches:

X.509 Digital Certificate Support (Now includes RFC 2401 IKE Port Selectors)
ALG 0.8.1 (All ciphers/hashes enabled)
Notify/Delete SA
NAT Traversal
MODP 768bit
MTS Keepalive Support
Aggressive Mode Support
Dead Peer Detection (DPD) Support
XAUTH Server Support
64bit Support

As well, various bugfixes have been applied on top of these patches - for
a full list, see CHANGES for an exhaustive list.

%prep
%setup -q
grep -rl '/usr/local' . | grep -v /doc/ | xargs perl -pi -e's,/usr/local,/usr,g'
grep -Erl '\$.?INC_USRLOCAL.?/' . | xargs perl -pi -e's,\$.?INC_USRLOCAL.?/,/usr/,g'
grep -Erl '/usr/lib($|[^e])' . | xargs perl -pi -e's,/usr/lib($|[^e]),%{_libdir}$1,g'
grep -rl 'lib/ipsec' . | grep -v /doc/ | xargs perl -pi -e's,lib/ipsec,%{_lib}/ipsec,g'
perl -pi -e's,/usr/man,%{_mandir},' libdes/Makefile

%build
make verset programs USERCOMPILE="%{optflags}"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} FINALBINDIR=%{_libdir}/ipsec INC_USRLOCAL=%{_prefix} MANTREE=%{buildroot}%{_mandir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* CHANGES* BUGS COPYING CREDITS doc
%config(noreplace) %{_sysconfdir}/ipsec.conf
%config(noreplace) %{_sysconfdir}/ipsec.secrets
%{_initrddir}/ipsec
%{_sbindir}/ipsec
%{_libdir}/ipsec
%{_mandir}/man3/ipsec_*.3*
%{_mandir}/man5/ipsec_*.5*
%{_mandir}/man5/ipsec.conf.5*
%{_mandir}/man5/ipsec.secrets.5*
%{_mandir}/man8/ipsec_*.8*
%{_mandir}/man8/ipsec.8*

%exclude %{_includedir}/des.h
%exclude %{_libdir}/libdes.a
%exclude %{_mandir}/man3/des_crypt.3*

%changelog
* Sat Nov 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.10-6
- Upgrade to 1.0.10.

* Fri Jan 28 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.9.

* Mon Jun 28 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.6.

* Sun Jun  6 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.4.

* Thu Apr  8 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.3.

* Sun Jan  4 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.


